For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a rule.
      • GETList all rules
      • POSTReplace all rules
      • PATCHModify an existing rule
      • DELDelete a rule
LogoLogo
Legacy DocsSign in
API ReferencePersonalization

Replace all rules

POST
https://api.ntropy.com/v3/rules/replace
POST
/v3/rules/replace
$curl -X "POST" \
> "https://api.ntropy.com/v3/rules/replace" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '[{
> "if": {
> "is_substring": [
> {"get": "website"},
> "ntropy"
> ]
> },
> "then": [
> {"set": "logo", "to": "http://example.com/favicon.ico"}
> ],
> "else": [
> {"remove_label": "example label"}
> ]
> }]'
Replace all rules
Was this page helpful?
Previous

Modify an existing rule

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects a list of objects.
ifobjectRequired
OR
modify labelsobjectRequired
OR
setobjectRequired

Response

Successful Response

Errors

400
Bad Request Error
413
Content Too Large Error
422
Unprocessable Entity Error